Name:          libalsa
Version:       1.2.7.1
Release:       1mamba
Summary:       Library for the Advanced Linux Sound Architecture (ALSA)
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.alsa-project.org/wiki/Main_Page
Source0:       https://github.com/alsa-project/alsa-lib.git/v%{version}/alsa-lib-%{version}.tar.bz2
Source1:       alsa-initscript
Source2:       alsa-modprobe
Source3:       libalsa-ucm-Midas_WM1811.tar.xz
Patch0:        %{name}-1.0.23-thread_safe_locale.patch
Patch1:        %{name}-1.0.25-hctl_remove_a_useless_assert.patch
Patch2:        libalsa-1.0.27-use-__inline__-for-exported-headers.patch
Patch3:        libalsa-1.1.7-audacity-2.3.0.patch
Patch4:        libalsa-1.2.7-upstream-fix-eld-decoding-older-hardware.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      alsa-ucm-conf
Requires(post):/sbin/ldconfig

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI functionality to the Linux operating system.

ALSA has the following significant features:
- efficient support for all types of audio interfaces, from consumer soundcards to professional multichannel audio interfaces
- fully modularized sound drivers
- SMP and thread-safe design
- user space library (alsa-lib) to simplify application programming and provide higher level functionality
- support for the older OSS API, providing binary compatibility for most OSS programs

%package devel
Summary:       Devel package for ALSA libraries
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI functionality to the Linux operating system.

ALSA has the following significant features:
- efficient support for all types of audio interfaces, from consumer soundcards to professional multichannel audio interfaces
- fully modularized sound drivers
- SMP and thread-safe design
- user space library (alsa-lib) to simplify application programming and provide higher level functionality
- support for the older OSS API, providing binary compatibility for most OSS programs

This is the development package for the libraries.

%debug_package

%prep
%setup -q -n alsa-lib-%{version}
#%patch4 -p1 -b .upstream-fix-eld-decoding-older-hardware

autoreconf -f -i

%build
%configure \
   --enable-shared

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall
install -D -m0644 %{SOURCE2} %{buildroot}%{_modprobedir}/alsa.conf

#(cd %{buildroot}%{_datadir}/alsa/ucm
#tar xf %{SOURCE3})

%ifarch x86_64_disabled
# x86_64 lib64 support
make clean
CC=%{_target_platform}-gcc \
CFLAGS="%{optflags} -m32" \
CXXLAGS="%{optflags} -m32" \
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib \
   --disable-python

make
make install DESTDIR=`pwd`/lib32
cp -a lib32/%{_prefix}/lib %{buildroot}%{_prefix}/
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%preun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/aserver
%dir %{_datadir}/alsa
%{_datadir}/alsa/*
%{_modprobedir}/alsa.conf
%{_libdir}/libasound.so.*
%{_libdir}/libatopology.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/asoundlib.h
%dir %{_includedir}/alsa
%{_includedir}/alsa/*.h
%{_includedir}/alsa/sound/*.h
%{_includedir}/alsa/sound/uapi/*.h
%{_includedir}/sys/*.h
%{_datadir}/aclocal/alsa.m4
%{_libdir}/libasound.la
%{_libdir}/libasound.so
%{_libdir}/libatopology.la
%{_libdir}/libatopology.so
%{_libdir}/pkgconfig/*
%doc ChangeLog MEMORY-LEAK NOTES TODO

%changelog
* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 1.2.7.1-1mamba
- automatic version update by autodist

* Sat Jun 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.7-2mamba
- add upstream patch to fix HDMI support broken on older hardware

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6.1-2mamba
- require alsa-ucm-conf

* Fri Dec 10 2021 Automatic Build System <autodist@mambasoft.it> 1.2.6.1-1mamba
- automatic version update by autodist

* Mon Dec 06 2021 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Mon Jun 14 2021 Automatic Build System <autodist@mambasoft.it> 1.2.5.1-1mamba
- automatic version update by autodist

* Mon May 31 2021 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Mon Oct 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1mamba
- update to 1.2.4

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 1.2.3.2-1mamba
- automatic version update by autodist

* Sat Jun 20 2020 Automatic Build System <autodist@mambasoft.it> 1.2.3.1-1mamba
- automatic version update by autodist

* Tue Jun 09 2020 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Mon Feb 24 2020 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Nov 30 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1.2-1mamba
- automatic version update by autodist

* Wed Nov 20 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1.1-1mamba
- automatic version update by autodist

* Sat Nov 16 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 1.1.9-1mamba
- automatic version update by autodist

* Sat Jan 12 2019 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Tue Nov 27 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-3mamba
- other upstream patch to try to fix audacity

* Mon Nov 26 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-2mamba
- patch to fix audacity crash (see https://bbs.archlinux.de/viewtopic.php?pid=366712#p366712)

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Sun Apr 15 2018 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Sun Jun 04 2017 Automatic Build System <autodist@mambasoft.it> 1.1.4.1-1mamba
- automatic version update by autodist

* Mon May 22 2017 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Fri Dec 23 2016 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Wed Aug 03 2016 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Fri Apr 01 2016 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon Nov 09 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 1.0.29-1mamba
- automatic version update by autodist

* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Wed Sep 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27.2-4mamba
- alsa-modprobe: add alias to autoload snd-bcm2835 on raspberry-pi

* Fri Aug 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27.2-3mamba
- alsa-modprobe: add index=-2 to snd-aloop to prevent it from being loaded as primary soundcard

* Tue Jul 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27.2-2mamba
- install ucm files for Midas_WM1811 (Galaxy Note 10.1)

* Tue Jul 09 2013 Automatic Build System <autodist@mambasoft.it> 1.0.27.2-1mamba
- automatic version update by autodist

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.27.1-1mamba
- automatic version update by autodist

* Wed May 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27-3mamba
- added a patch to fix headers with gcc 4.8

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27-2mamba
- move /etc/modprobe.d/alsa.conf to /lib/modprobe.d for dracut to use it as not host-only configuration

* Fri Apr 12 2013 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Sat Sep 22 2012 Automatic Build System <autodist@mambasoft.it> 1.0.26-1mamba
- automatic version update by autodist

* Thu Jul 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.25-2mamba
- added upstream patch to fix a asser which caused a kmix crash after boot (https://bugs.kde.org/show_bug.cgi?id=209975)

* Thu Jan 26 2012 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Sun Aug 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.24.1-2mamba
- modify /etc/modprobe.d/alsa.conf to prevent abnormal and snd-usb-audio drivers to load as first soundcard

* Wed Feb 09 2011 Automatic Build System <autodist@mambasoft.it> 1.0.24.1-1mamba
- automatic update by autodist

* Sun Dec 19 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.23-4mamba
- created package python-smixer to move out python dependency

* Sun Nov 07 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.23-3mamba
- rebuilt with static libraries for qemu static

* Mon Sep 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.23-2mamba
- added patch to use thread safe locale functions setlocale and uselocale. Fixes VLC bug with softvol and max_dB set

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 1.0.23-1mamba
- automatic update to 1.0.23 by autodist

* Wed Dec 16 2009 Automatic Build System <autodist@mambasoft.it> 1.0.22-1mamba
- automatic update to 1.0.22 by autodist

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.21a-1mamba
- update to 1.0.21a

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 1.0.21-1mamba
- automatic update to 1.0.21 by autodist

* Sat Jul 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.20-2mamba
- install modprobe file as /etc/modprobe.d/alsa.conf

* Thu May 07 2009 Automatic Build System <autodist@mambasoft.it> 1.0.20-1mamba
- automatic update to 1.0.20 by autodist

* Tue Mar 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-2mamba
- blacklist snd_pcsp and pcspkr modules

* Mon Jan 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-1mamba
- automatic update to 1.0.19 by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18rc3-1mamba
- automatic update by autodist

* Thu Oct 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-1mamba
- automatic update to 1.0.18 by autodist

* Thu Aug 21 2008 gil <puntogil@libero.it> 1.0.17a-1mamba
- update to 1.0.17a

* Sun Feb 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.16-1mamba
- update to 1.0.16

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.15-1mamba
- update to 1.0.15

* Sat Aug 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14a-2mamba
- initscript moved to alsa-utils
- removed requirement for postplug-sound
- removed build requirement for kernelsource

* Mon Jun 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14a-1mamba
- update to 1.0.14a

* Mon Jun 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14-1mamba
- update to 1.0.14
- removed requirement for alsa-utils

* Fri Oct 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-4qilnx
- add requirement for alsa-utils needed by alsa initscript

* Thu Oct 12 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-3qilnx
- alsa initscript: unload mixer and pcm oss modules in correct order

* Wed Oct 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-2qilnx
- alsa initscript: fix check on oss2jack before unloading mixer and pcm modules

* Sun Oct 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-1qilnx
- update to version 1.0.13 by autospec
- alsa intiscript: don't load oss mixer module if oss2jack is enabled

* Wed Sep 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.12-1qilnx
- update to version 1.0.12 by autospec

* Wed Apr 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.11-1qilnx
- update to version 1.0.11 by autospec
- alsalisp no more installed, see changelog

* Mon Dec 05 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-2qilnx
- don't start snd-pcm-oss if jack is configured in /etc/sysconfig/sound

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.10-1qilnx
- update to version 1.0.10 by autospec

* Wed Nov 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.9-2qilnx
- requires postplug-sound

* Mon Sep 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.9-1qilnx
- update to version 1.0.9 by autospec
- obsolete build requirement for kernel-alsa-devel and devfs configuration
  file removed

* Mon Aug 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.8-5qilnx
- initscript fix

* Fri May 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-4qilnx
- same fix as before, now really

* Mon Mar 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-3qilnx
- fix: chkconfig script on install, not just on upgrade

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-2qilnx
- %pre script fixes

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-1qilnx
- update to version 1.0.8 by autospec
- initscript renamed to alsa also saves and restores mixer volumes

* Fri Nov 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.7-1qilnx
- update to version 1.0.7 by autospec

* Tue Nov 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.5-2qilnx
- added requirement: chkconfig

* Mon May 31 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.5-1qilnx
- new version rebuild

* Wed Apr 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.4-2qilnx
- modified alsaoss initscript to work with new modutils and 2.6.x kernels

* Mon Apr 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.4-1qilnx
- new version rebuild

* Mon Mar 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.3-2qilnx
- fixed the dmix/dshare/dsnoop poll() problems

* Tue Mar 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.3-1qilnx
- rebuilt with alsa-lib-1.0.3

* Tue Jan 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.2-1qilnx
- rebuilt with version 1.0.2
- added alsaoss-initscript, alsa-sound-devfs previously located in kernel packages 

* Fri Jan 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.1-1qilnx
- rebuilt with version 1.0.1
- added kernel-alsa-devel, kernelsource dependencies

* Fri Dec 05 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.0rc2-1qilnx
- rebuilt with latest rc version

* Wed Oct 22 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.8-1qilnx
- rebuilt with version 0.9.8

* Fri Sep 26 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.7-1qilnx
- rebuilt with version 0.9.7

* Tue Sep 02 2003 Davide Madrisan <davide.madrisan@qinet.it> 0.9.6-1qilnx
- rebuilt with version 0.9.6

* Thu Jul 03 2003 Silvan Calarco <silvan.calarco@qinet.it> 0.9.4-1qilnx
- first build
